Bug 180275 - games/nethack34 : remove QT3 support
Summary: games/nethack34 : remove QT3 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-04 17:50 UTC by Rene Ladan
Modified: 2013-07-10 06:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.47 KB, patch)
2013-07-04 17:50 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-07-04 17:50:00 UTC
Remove support for the expired QT3 port.
While here convert Makefile header, NOPORTDOCS, and pet portlint by putting LICENSE_FILE line at the correct place.

This PR can partially overlap with ports/177861

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-07-04 17:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-07-10 05:54:24 UTC
Author: glewis
Date: Wed Jul 10 04:54:11 2013
New Revision: 322613
URL: http://svnweb.freebsd.org/changeset/ports/322613

Log:
  . Remove the nethack34-qt port which requires the expired QT3 port.
  . Convert Makefile header.
  . NOPORTDOCS -> PORT_OPTIONS:MDOCS.
  . Pet portlint by putting LICENSE_FILE line at the correct place.
  
  PR:		180275
  Submitted by:	rene@ (with some additions)

Deleted:
  head/games/nethack34-qt/Makefile
Modified:
  head/MOVED
  head/games/Makefile
  head/games/nethack34/Makefile   (contents, props changed)

Modified: head/MOVED
==============================================================================
--- head/MOVED	Wed Jul 10 04:14:31 2013	(r322612)
+++ head/MOVED	Wed Jul 10 04:54:11 2013	(r322613)
@@ -4421,3 +4421,4 @@ games/gnomememoryblocks||2013-07-04|Has 
 devel/py-reddit||2013-07-07|Has been removed from PyPI, Use www/py-praw
 games/speakinghangman||2013-07-07|Has expired: No more public distfiles
 security/pinentry-qt||2013-07-09|Removed: Qt3 ports have expired
+games/nethack34-qt|games/nethack34-gnome|2013-07-09|Uses unsupported QT version

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Wed Jul 10 04:14:31 2013	(r322612)
+++ head/games/Makefile	Wed Jul 10 04:54:11 2013	(r322613)
@@ -633,7 +633,6 @@
     SUBDIR += nethack34
     SUBDIR += nethack34-gnome
     SUBDIR += nethack34-nox11
-    SUBDIR += nethack34-qt
     SUBDIR += netherearth
     SUBDIR += netpanzer
     SUBDIR += netrek-BRMH-bin

Modified: head/games/nethack34/Makefile
==============================================================================
--- head/games/nethack34/Makefile	Wed Jul 10 04:14:31 2013	(r322612)
+++ head/games/nethack34/Makefile	Wed Jul 10 04:54:11 2013	(r322613)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	nethack
-# Date created:		27 March 1995
-# Whom:			asami
-#
+# Created by: asami
 # $FreeBSD$
-#
 
 PORTNAME=	nethack
 PORTVERSION=	3.4.3
@@ -18,8 +14,8 @@ COMMENT=	A dungeon explorin', slashin', 
 
 LICENSE=	nethack
 LICENSE_NAME=	NETHACK GENERAL PUBLIC LICENSE
-LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 LICENSE_FILE=	${WRKSRC}/dat/license
+LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
@@ -75,12 +71,6 @@ PATCH_SITES+=	http://www.netsonic.fi/~wa
 PATCH_DIST_STRIP=	-p1
 CFLAGS+=	-DHPMON
 .endif
-.elif ${PKGNAMESUFFIX} == "-qt"
-USE_QT_VER=	3
-MAKE_ENV+=	QTCPPFLAGS="${QTCPPFLAGS} ${PTHREAD_CFLAGS}" \
-		QTCFGLIBS="${QTCFGLIBS} ${PTHREAD_LIBS}" \
-		MOC="${MOC}" LIBQT="-lqt-mt"
-GRAPHICS=	QT_GRAPHICS
 .endif
 .endif
 
@@ -96,6 +86,8 @@ pre-everything::
 	${ECHO_MSG} "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!" ; \
 	fi
 
+.include <bsd.port.options.mk>
+
 post-patch:
 .for f in include/config.h sys/unix/Makefile.src sys/unix/Makefile.top
 	@${REINPLACE_CMD} -e 's|%%HACKNAME%%|${HACKNAME}|g;s|%%HACKDIR%%|${PREFIX}/${HACKDIR}|g' ${WRKSRC}/${f}
@@ -113,7 +105,7 @@ pre-configure:
 
 post-install:
 	@cd ${WRKSRC}/doc; ${SETENV} ${MAKE_ENV} ${MAKE} manpages
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${PREFIX}/${HACKDOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/Guidebook.txt ${PREFIX}/${HACKDOCSDIR}
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Greg Lewis freebsd_committer 2013-07-10 05:54:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!